
Redmine - Feature #30893

Show "Updated issues" on the profile page

2019-02-24 02:56 - Go MAEDA

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Currently (r17844 and later), you can see the issue tracking table on the profile page. You can see the number of assigned and

reported issues in the table and you can quickly access the corresponding issues list of each value.

I propose to add a new row "Updated issues" to the table. The row shows the number of issues the user updated (in other words, the

number of issues the user involved). And each value is linked to issues list filtered by "Updated by" filter introduced in Redmine 3.4 (

#17720).

The feature will provide quick shortcuts to "Updated by" filter and useful to see the issues which the user involved.

 

Related issues:

Related to Redmine - Feature #3555: Search for My Issues New 2009-06-28

History

#1 - 2019-02-24 03:37 - Yuuki NARA

+1

#2 - 2019-03-07 09:34 - Yuichi HARADA

- File 30893-show-updated-issues.patch added

I attached a patch.

The "Updated issues" row shows number of open, closed and total. And each value is linked to issues list filtered by "Updated by" filter.

#3 - 2019-03-07 22:50 - Marius BĂLTEANU

I'm not sure that retrieving the "Updated issues" using a custom query is the best option. I would investigate how to get those issues using

IssueQuery (in the same way how the issues are retrieved in My page) if we really want to add this feature.

Beside this, we really need to know the exact number of those issues (especially the closed ones)?

#4 - 2019-03-24 06:32 - Go MAEDA
https://www.redmine.org/projects/redmine/repository/svn/revisions/17844
https://www.redmine.org/issues/17720


- Target version set to Candidate for next major release

#5 - 2019-06-09 02:40 - Go MAEDA

- Related to Feature #3555: Search for My Issues added

Files

updated-issues-row@2x.png 42 KB 2019-02-24 Go MAEDA

30893-show-updated-issues.patch 3.42 KB 2019-03-07 Yuichi HARADA
